net.minecraft.world

## Class WorldProviderEnd

- java.lang.Object
- - net.minecraft.world.WorldProvider
  - - net.minecraft.world.WorldProviderEnd

-     public class WorldProviderEnd
      extends WorldProvider

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldProvider

      `dimensionId, field_82913_c, hasNoSky, isHellWorld, lightBrightnessTable, moonPhaseFactors, terrainType, worldChunkMgr, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldProviderEnd()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `calcSunriseSunsetColors(float par1, float par2)`
    `float` | `calculateCelestialAngle(long par1, float par3)`
    `boolean` | `canCoordinateBeSpawn(int par1, int par2)`
    `boolean` | `canRespawnHere()`
    `IChunkProvider` | `createChunkGenerator()`
    `boolean` | `doesXZShowFog(int par1, int par2)`
    `int` | `getAverageGroundLevel()`
    `float` | `getCloudHeight()`
    `java.lang.String` | `getDimensionName()`
    `ChunkCoordinates` | `getEntrancePortalLocation()`
    `Vec3` | `getFogColor(float par1, float par2)`
    `boolean` | `isSkyColored()`
    `boolean` | `isSurfaceWorld()`
    `void` | `registerWorldChunkManager()`

    - ### Methods inherited from class net.minecraft.world.WorldProvider

      `calculateInitialWeather, canBlockFreeze, canDoLightning, canDoRainSnowIce, canMineBlock, canSnowAt, drawClouds, generateLightBrightnessTable, getActualHeight, getBiomeGenForCoords, getCloudRenderer, getDepartMessage, getHeight, getHorizon, getMoonPhase, getMovementFactor, getProviderForDimension, getRandomizedSpawnPoint, getRespawnDimension, getSaveFolder, getSeed, getSkyColor, getSkyRenderer, getSpawnPoint, getStarBrightness, getVoidFogYFactor, getWeatherRenderer, getWelcomeMessage, getWorldHasVoidParticles, getWorldTime, isBlockHighHumidity, isDaytime, registerWorld, resetRainAndThunder, setAllowedSpawnTypes, setCloudRenderer, setDimension, setSkyRenderer, setSpawnPoint, setWeatherRenderer, setWorldTime, shouldMapSpin, updateWeather`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldProviderEnd

          public WorldProviderEnd()

  - ### Method Detail

    - #### registerWorldChunkManager

          public void registerWorldChunkManager()

      Overrides:
        `registerWorldChunkManager` in class `WorldProvider`

    - #### createChunkGenerator

          public IChunkProvider createChunkGenerator()

      Overrides:
        `createChunkGenerator` in class `WorldProvider`

    - #### calculateCelestialAngle

          public float calculateCelestialAngle(long par1,
                                      float par3)

      Overrides:
        `calculateCelestialAngle` in class `WorldProvider`

    - #### calcSunriseSunsetColors

          public float[] calcSunriseSunsetColors(float par1,
                                        float par2)

      Overrides:
        `calcSunriseSunsetColors` in class `WorldProvider`

    - #### getFogColor

          public Vec3 getFogColor(float par1,
                         float par2)

      Overrides:
        `getFogColor` in class `WorldProvider`

    - #### isSkyColored

          public boolean isSkyColored()

      Overrides:
        `isSkyColored` in class `WorldProvider`

    - #### canRespawnHere

          public boolean canRespawnHere()

      Overrides:
        `canRespawnHere` in class `WorldProvider`

    - #### isSurfaceWorld

          public boolean isSurfaceWorld()

      Overrides:
        `isSurfaceWorld` in class `WorldProvider`

    - #### getCloudHeight

          public float getCloudHeight()

      Overrides:
        `getCloudHeight` in class `WorldProvider`

    - #### canCoordinateBeSpawn

          public boolean canCoordinateBeSpawn(int par1,
                                     int par2)

      Overrides:
        `canCoordinateBeSpawn` in class `WorldProvider`

    - #### getEntrancePortalLocation

          public ChunkCoordinates getEntrancePortalLocation()

      Overrides:
        `getEntrancePortalLocation` in class `WorldProvider`

    - #### getAverageGroundLevel

          public int getAverageGroundLevel()

      Overrides:
        `getAverageGroundLevel` in class `WorldProvider`

    - #### doesXZShowFog

          public boolean doesXZShowFog(int par1,
                              int par2)

      Overrides:
        `doesXZShowFog` in class `WorldProvider`

    - #### getDimensionName

          public java.lang.String getDimensionName()

      Specified by:
        `getDimensionName` in class `WorldProvider`